liborigin 2.0.0

Classes | Namespaces | Macros | Typedefs | Enumerations
/tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h File Reference
`#include <cstring>`
`#include <ctime>`
`#include <vector>`
`#include "boost/variant.hpp"`

Go to the source code of this file.

## Classes
struct | Origin::Bitmap
struct | Origin::Color
struct | Origin::ColorMap
struct | Origin::ColorMapLevel
struct | Origin::ColorScale
struct | Origin::Excel
struct | Origin::Figure
struct | Origin::Function
struct | Origin::Graph
struct | Origin::GraphAxis
struct | Origin::GraphAxisBreak
struct | Origin::GraphAxisFormat
struct | Origin::GraphAxisTick
struct | Origin::GraphCurve
struct | Origin::GraphGrid
struct | Origin::GraphLayer
struct | Origin::GraphLayerRange
struct | Origin::Line
struct | Origin::LineVertex
struct | Origin::Matrix
struct | Origin::Note
struct | Origin::PercentileProperties
struct | Origin::PieProperties
struct | Origin::ProjectNode
struct | Origin::Rect
struct | Origin::SpreadColumn
struct | Origin::SpreadSheet
struct | Origin::SurfaceProperties::SurfaceColoration
struct | Origin::SurfaceProperties
struct | Origin::TextBox
struct | Origin::TextProperties
struct | Origin::VectorProperties
struct | Origin::Window

## Namespaces
namespace | Origin

## Macros
#define | _ONAN (-1.23456789E-300)

## Typedefs
typedef vector< pair< double, ColorMapLevel > > | Origin::ColorMapVector
typedef boost::variant< double, string > | Origin::variant

## Enumerations
enum | Origin::Attach { Origin::Frame = 0 , Origin::Page = 1 , Origin::Scale = 2 }
enum | Origin::BorderType { Origin::BlackLine = 0 , Origin::Shadow = 1 , Origin::DarkMarble = 2 , Origin::WhiteOut = 3 , Origin::BlackOut = 4 , Origin::None = -1 }
enum | Origin::FillPattern { Origin::NoFill , Origin::BDiagDense , Origin::BDiagMedium , Origin::BDiagSparse , Origin::FDiagDense , Origin::FDiagMedium , Origin::FDiagSparse , Origin::DiagCrossDense , Origin::DiagCrossMedium , Origin::DiagCrossSparse , Origin::HorizontalDense , Origin::HorizontalMedium , Origin::HorizontalSparse , Origin::VerticalDense , Origin::VerticalMedium , Origin::VerticalSparse , Origin::CrossDense , Origin::CrossMedium , Origin::CrossSparse }
enum | Origin::NumericDisplayType { Origin::DefaultDecimalDigits = 0 , Origin::DecimalPlaces = 1 , Origin::SignificantDigits = 2 }
enum | Origin::ValueType { Origin::Numeric = 0 , Origin::Text = 1 , Origin::Time = 2 , Origin::Date = 3 , Origin::Month = 4 , Origin::Day = 5 , Origin::ColumnHeading = 6 , Origin::TickIndexedDataset = 7 , Origin::TextNumeric = 9 , Origin::Categorical = 10 }

## Macro Definition Documentation

## ◆ _ONAN

#define _ONAN (-1.23456789E-300)